org.apache.ignite.internal.processors.rest.request

## Class GridRestCacheQueryRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestCacheQueryRequest

All Implemented Interfaces:
  Serializable

    public class GridRestCacheQueryRequest
    extends GridRestRequest
    implements Serializable

Cache query request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridRestCacheQueryRequest(GridClientCacheQueryRequest msg)`

### Method Summary

Methods
`String` `cacheName()`
`String` `className()`
`String` `clause()`
`boolean` `enableDedup()`
`boolean` `includeBackups()`
`boolean` `keepPortable()`
`GridClientCacheQueryRequest.GridQueryOperation` `operation()`
`int` `pageSize()`
`Object[]` `queryArguments()`
`long` `queryId()`
`String` `remoteReducerClassName()`
`String` `remoteTransformerClassName()`
`long` `timeout()`
`String` `toString()`
`GridClientCacheQueryRequest.GridQueryType` `type()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, portableMode, portableMode, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestCacheQueryRequest

    public GridRestCacheQueryRequest(GridClientCacheQueryRequest msg)

Parameters:
  `msg` - Client request message.

### Method Detail

#### queryId

    public long queryId()

Returns:
  Query ID.

#### operation

    public GridClientCacheQueryRequest.GridQueryOperation operation()

Returns:
  Operation.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### clause

    public String clause()

Returns:
  Query clause.

#### type

    public GridClientCacheQueryRequest.GridQueryType type()

Returns:
  Query type.

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### timeout

    public long timeout()

Returns:
  Timeout.

#### includeBackups

    public boolean includeBackups()

Returns:
  Include backups.

#### enableDedup

    public boolean enableDedup()

Returns:
  Enable dedup.

#### keepPortable

    public boolean keepPortable()

Returns:
  Keep portable flag.

#### className

    public String className()

Returns:
  Class name.

#### remoteReducerClassName

    public String remoteReducerClassName()

Returns:
  Remot reducer class name.

#### remoteTransformerClassName

    public String remoteTransformerClassName()

Returns:
  Remote transformer class name.

#### queryArguments

    public Object[] queryArguments()

Returns:
  Query arguments.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015